Package com.mapd.thrift.server

## Class TDashboardGrantees

- java.lang.Object
- - com.mapd.thrift.server.TDashboardGrantees

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDashboardGrantees>`, `org.apache.thrift.TBase<TDashboardGrantees,​TDashboardGrantees._Fields>`, `org.apache.thrift.TSerializable`

    public class TDashboardGrantees
    extends Object
    implements org.apache.thrift.TBase<TDashboardGrantees,​TDashboardGrantees._Fields>, Serializable, Cloneable, Comparable<TDashboardGrantees>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDashboardGrantees._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `is_user`
`static Map<TDashboardGrantees._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `name`
`TDashboardPermissions` `permissions`

### Constructor Summary

Constructors
`TDashboardGrantees()`
`TDashboardGrantees​(TDashboardGrantees other)` Performs a deep copy on other.
`TDashboardGrantees​(String name, boolean is_user, TDashboardPermissions permissions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TDashboardGrantees other)`
`TDashboardGrantees` `deepCopy()`
`boolean` `equals​(TDashboardGrantees that)`
`boolean` `equals​(Object that)`
`TDashboardGrantees._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TDashboardGrantees._Fields field)`
`String` `getName()`
`TDashboardPermissions` `getPermissions()`
`int` `hashCode()`
`boolean` `isIs_user()`
`boolean` `isSet​(TDashboardGrantees._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_user()` Returns true if field is_user is set (has been assigned a value) and false otherwise
`boolean` `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
`boolean` `isSetPermissions()` Returns true if field permissions is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TDashboardGrantees._Fields field, Object value)`
`TDashboardGrantees` `setIs_user​(boolean is_user)`
`void` `setIs_userIsSet​(boolean value)`
`TDashboardGrantees` `setName​(String name)`
`void` `setNameIsSet​(boolean value)`
`TDashboardGrantees` `setPermissions​(TDashboardPermissions permissions)`
`void` `setPermissionsIsSet​(boolean value)`
`String` `toString()`
`void` `unsetIs_user()`
`void` `unsetName()`
`void` `unsetPermissions()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public String name

#### is_user

    public boolean is_user

#### permissions

    public TDashboardPermissions permissions

#### metaDataMap

    public static final Map<TDashboardGrantees._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDashboardGrantees

    public TDashboardGrantees()

#### TDashboardGrantees

    public TDashboardGrantees​(String name,
                              boolean is_user,
                              TDashboardPermissions permissions)

#### TDashboardGrantees

    public TDashboardGrantees​(TDashboardGrantees other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDashboardGrantees deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDashboardGrantees,​TDashboardGrantees._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDashboardGrantees,​TDashboardGrantees._Fields>`

#### getName

    public String getName()

#### setName

    public TDashboardGrantees setName​(String name)

#### unsetName

    public void unsetName()

#### isSetName

    public boolean isSetName()

Returns true if field name is set (has been assigned a value) and false otherwise

#### setNameIsSet

    public void setNameIsSet​(boolean value)

#### isIs_user

    public boolean isIs_user()

#### setIs_user

    public TDashboardGrantees setIs_user​(boolean is_user)

#### unsetIs_user

    public void unsetIs_user()

#### isSetIs_user

    public boolean isSetIs_user()

Returns true if field is_user is set (has been assigned a value) and false otherwise

#### setIs_userIsSet

    public void setIs_userIsSet​(boolean value)

#### getPermissions

    public TDashboardPermissions getPermissions()

#### setPermissions

    public TDashboardGrantees setPermissions​(TDashboardPermissions permissions)

#### unsetPermissions

    public void unsetPermissions()

#### isSetPermissions

    public boolean isSetPermissions()

Returns true if field permissions is set (has been assigned a value) and false otherwise

#### setPermissionsIsSet

    public void setPermissionsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDashboardGrantees._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDashboardGrantees,​TDashboardGrantees._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDashboardGrantees._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDashboardGrantees,​TDashboardGrantees._Fields>`

#### isSet

    public boolean isSet​(TDashboardGrantees._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDashboardGrantees,​TDashboardGrantees._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDashboardGrantees that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDashboardGrantees other)

Specified by:
  `compareTo` in interface `Comparable<TDashboardGrantees>`

#### fieldForId

    public TDashboardGrantees._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDashboardGrantees,​TDashboardGrantees._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`